START TRANSACTION;

DELIMITER //

DROP PROCEDURE IF EXISTS GetDepartmentIdByName//
CREATE PROCEDURE GetDepartmentIdByName(
  IN pDepartmentName varchar(200))
  BEGIN
    SELECT departments.ID as ID
    FROM departments
    WHERE departments.Name = pDepartmentName;
  END//

DROP PROCEDURE IF EXISTS GetJobPositionIdByName//
CREATE PROCEDURE GetJobPositionIdByName(
  IN pJobPositionName varchar(200))
  BEGIN
    SELECT job_positions.ID as ID
    FROM job_positions
    WHERE job_positions.Name = pJobPositionName;
  END//

DELIMITER ;

COMMIT ;
